Subject: Re: [Lime] We need your feedback on the NFVRG proposed charter

From: Gregory Mirsky <[email-masked]>
Date: Thu, 11 Dec 2014 04:03:00 +0000

Hi Bruno,
I'd note that defect characterization and defect correlation, at least in part of related informational model(s), is, as I believe, in scope of the LIME WG. Input from NFVRG on that subject and broader role of defect detection, localization will be helpful as LIME WG recently formed the Design Team with the first item of charter as:
	- YANG data model(s) for generic layer-independent and technology-independent configuration, reporting and presentation for OAM mechanisms.

	Regards,
		Greg

-----Original Message-----
From: Nfvrg [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, December 10, 2014 10:22 PM
To: King, Daniel; MORTON, ALFRED C (AL); DIEGO LOPEZ GARCIA
Cc: [email-masked]
Subject: Re: [Nfvrg] We need your feedback on the NFVRG proposed charter

w.r.t reliability, I think we need to be a bit more specific about the aspects on which NFVRG is expected to bring value.  NFVRG should focus on aspects that are not already on the specification work plan of ETSI or another standardization body.

For example, rather than adding " Reliability and Redundancy" as a general item, we could add "Failure characterization/representation and impact on reliability and availability".

I'll provide a couple of additional comments by the end of this week.

Bruno 

> -----Message d'origine-----
> De : Nfvrg [mailto:[email-masked]] De la part de King, Daniel 
> Envoyé : mercredi 10 décembre 2014 14:55 À : MORTON, ALFRED C (AL); 
> DIEGO LOPEZ GARCIA Cc : [email-masked] Objet : Re: [Nfvrg] We need 
> your feedback on the NFVRG proposed charter
> 
> Hi Al,
> 
> Agree. It's good to have research objectives, use cases and 
> requirements resulting from documents and discussion from other SDOs, 
> especially (but not limited to) ETSI for NFV. Indeed research and 
> development would benefit from being synchronized. It might also be 
> useful to underline this relationship with the ETSI NFV Industry 
> Steering Group (ISG) in the NFV RG charter text, or it might be enough 
> to cite the ETSI ISG or specific ETSI ISG documents in any subsequent IRTF I-Ds.
> 
> However, we are not stating that IRTF NFV research be solely dependent 
> on ETSI? There are already a number of ETSI documents available that 
> identify reliability/resiliency/continuity/redundancy objectives and 
> requirements, and these are available to all. Unfortunately other key 
> documents are not (unless you are an ETSI member or ETSI ISG 
> participant) accessible until they reach sufficient maturity and/or "released" to the wider industry.
> 
> BR, Dan.
> 
> -----Original Message-----
> From: Nfvrg [mailto:[email-masked]] On Behalf Of MORTON, 
> ALFRED C
> (AL)
> Sent: 10 December 2014 13:31
> To: King, Daniel; DIEGO LOPEZ GARCIA
> Cc: [email-masked]
> Subject: Re: [Nfvrg] We need your feedback on the NFVRG proposed 
> charter
> 
> Hi Dan,
> 
> Any Reliability/Resiliency work in NFVRG would need to be coordinated 
> with efforts completing and "re-chartered to do more" in ETSI NFV.
> For example, if the REL wg has identified an area for research, it 
> could be a specific item here (if there is support). At least, the REL 
> phase 1 output doc is available to all.
> 
> regards,
> Al
> 
> > -----Original Message-----
> > From: Nfvrg [mailto:[email-masked]] On Behalf Of King, 
> > Daniel
> > Sent: Wednesday, December 10, 2014 7:29 AM
> > To: DIEGO LOPEZ GARCIA
> > Cc: [email-masked]
> > Subject: Re: [Nfvrg] We need your feedback on the NFVRG proposed 
> > charter
> >
> > Hi Diego, all.
> >
> > Overall, a good set of objectives for the NFV RG research charter.
> > However, there seems to be a lack of charter text identifying that 
> > future NFV-based networks and services will need to be "reliable".
> > Ensuring resilient services, and therefore  functions (Virtual 
> > network Functions - VNFs), should be a key design goal. In the event 
> > of failure within NFV- based network environments there should be 
> > minimal, or no, effect on service availability and functionality.
> > Reliable NFV design goals and potential solutions will require 
> > research and investigation as they impact NFV architecture, 
> > components, optimization, and interfaces. To be fair, "resiliency" 
> > is mentioned in the sub-section pertaining to "Security and Service Verification":
> >
> > "Finally, elasticity of VNFs entails dynamic scale up/down/out with 
> > awareness of the resiliency considerations, completely different 
> > with the approach of monolithic implementations."
> >
> > Nevertheless, I do not think this outlines the importance and 
> > potential challenges associated with building and operating reliable 
> > NFV-based networks and services. My suggestion would be to augment 
> > the current charter text with:
> >
> > 1. An additional bullet appended to "Areas of Interest"
> >
> > o Requirements and mechanisms to ensure reliable virtual network 
> > functions and services
> >
> > 2. Adding a reliability objective to "Near Term Work items":
> >
> > Reliability and Redundancy
> >
> > Virtual network functions will be used to host network 
> > infrastructure and services; this introduces additional challenges 
> > to ensure this new network supports carrier grade reliability with 
> > suitable redundancy mechanisms. In the event of network and/or 
> > service degradation or failure, there must be suitable coordination, fail-over, and recovery.
> > Notification and interaction may also need to occur between VNFs and 
> > the VNF orchestrator, the general purpose hardware hosting VNFs, and 
> > underlying network protection mechanisms. These reliable NFV 
> > mechanisms will also need tools and mechanisms to deploy and manage 
> > capability, and close coordination with NFV resource management and
> performance analytics is also expected.
> >
> > BR, Dan.
> >
> > From: Nfvrg [mailto:[email-masked]] On Behalf Of DIEGO LOPEZ 
> > GARCIA
> > Sent: 09 December 2014 07:44
> > To: [email-masked]
> > Subject: [Nfvrg] We need your feedback on the NFVRG proposed charter
> >
> > Hi,
> >
> > Just for you to know, NFVRG is still under the status of "proposed RG"
> > in the IRTF. To move into a stable RG status we need to agree in a 
> > charter, and to do so the IRTF requires us to collect explicit 
> > feedback from the community.
> >
> > So please review the text included below (predominantly what we 
> > discussed in the meetings so far and in the NFVRG wiki page 
> > https://trac.tools.ietf.org/group/irtf/trac/wiki/nfvrg with minor
> > edits) and make your comments and/or express your explicit support 
> > (the usual "+1" would be enough)
> >
> > Be goode,
> >
> > 8<--
> >
> > Network Function Virtualization Research Group (NFVRG)
> >
> > Background
> > Network Function Virtualization is a key emerging area for network 
> > operators, hardware and software vendors, cloud service providers, 
> > and in general network practitioners and researchers. This area 
> > requires exploring new directions and working collaboratively on how 
> > to create network services that utilize a virtualized 
> > infrastructure. Network functions that are traditionally implemented 
> > in dedicated hardware appliances will need to be decomposed and 
> > executed in software elements running on cloud-based 
> > infrastructures. One essential goal of this new approach is to 
> > reduce capital and operating expenditures for future deployments for 
> > networks and associated services. Another important goal is for the 
> > network operators to be able to offer value added cloud services to 
> > their customers. Finally, new business models will open for the provision of network services.
> >
> > The technologies enabling the virtualization of network functions 
> > are currently in an early stage, and they need researchers to 
> > develop new architectures, systems, and software, and to explore 
> > tradeoffs and possibilities for leveraging virtualized 
> > infrastructure to provide support for network functions. The Network 
> > Functions Virtualization Research Group
> > (NFVRG) will bring together researchers and grow the community 
> > around the world in both academia and industry to explore this new research area.
> > Beyond the direct activity through the IRTF collaboration tools it 
> > will organize research group meetings and workshops at premier 
> > conferences (such as IEEE ICC, IEEE Globecom) and inviting special 
> > issues in well- known journals.
> >
> > The NFVRG will focus on research problems associated with 
> > NFV-related topics and on bringing a research community together 
> > that can jointly address them, concentrating on problems that relate 
> > not just to networking but also to computing and storage constraints 
> > in such environments. It is also hoped that the outcome of the 
> > research will benefit standardization efforts that can get spawned 
> > via IRTF & IETF BoF meetings and/or provide useful input to other 
> > related standards efforts in ETSI or other standards bodies.
> >
> > Areas of Interest
> > . New network architectures based on virtualized network functions .
> > Network and service function chaining: architecture and 
> > implementation (e.g. automation of service chain building) . 
> > Autonomous service orchestration and optimization . New operational 
> > aspects of network and service virtualization, as well as new 
> > operational models required by virtualization . Infrastructure and 
> > service function description and programming (languages, APIs, 
> > frameworks for combined processing, network and storage
> > programming)
> > . Coexistence with non-virtualized infrastructure and services .
> > Virtualized network economics and business modeling . Security, 
> > trust and service verification . Real-time big data analytics and 
> > data-centric management of virtualized infrastructure . New 
> > application domains enabled by virtualized infrastructure and 
> > services . System wide optimization of compute, storage, network and 
> > energy efficiency . Explore infrastructure and service abstractions 
> > enabled by virtualization . Autonomic and real-time orchestration 
> > enabled by network function virtualization The group will report 
> > progress through its wiki and presentations at IETF and IRTF 
> > meetings. Relevant information and research developed by the 
> > research group will be submitted for publication as Experimental or Informational RFCs.
> >
> > Near Term Work Items
> > The group shall focus on a concrete list of near-term work items. 
> > For each of the items mentioned below, the goal is to explore system 
> > architecture, optimization, and open interfaces across components, 
> > through simulations and/or real-world implementations.
> >
> > Policy based Resource Management:
> > NFV Point of Presence (PoP) will be likely constrained in compute 
> > and storage capacity. Since practically all NFV PoPs are foreseen to 
> > be distributed, inter-datacenter network capacity is also a constraint.
> > Additionally, energy is also a constraint, both as a general concern 
> > for NFV operators, and in particular for specific-purpose NFV PoPs 
> > such as those in mobile base stations. This work item will focus on 
> > optimized resource management and workload distribution based on policy.
> >
> > Analytics for Visibility and Orchestration:
> > Network functions should be supportable on general purpose commodity 
> > hardware. Real-time analytics providing insight into various 
> > components such as compute (e.g. dynamic CPU utilization), storage 
> > (e.g. dynamic capacity usage), network (e.g. dynamic bandwidth 
> > utilization), energy (e.g. dynamic power consumption) are key to not 
> > only providing visibility into the NFV infrastructure but also 
> > optimizing resource usage for the purposes of orchestration. This 
> > work item will contemplate techniques for the applicability of real-time analytics.
> >
> > Virtual Network Function (VNF) Performance Modeling to facilitate 
> > transition to NFV:
> > While migrating from hardware network appliances, which are 
> > typically custom and monolithic, to virtualized software 
> > implementations running on commodity hardware a challenge which is 
> > often faced is to come up with an equivalence model especially in 
> > terms of performance. The work item will consider this modeling.
> >
> > Security and Service Verification:
> > NFV configuration is expected to be dynamic especially in the edge 
> > NFV PoP where capacity is limited; a very good example is handling a 
> > viral event such as mobile gaming application. While autonomic 
> > networking techniques could be used to automate the configuration 
> > process including modular updates, it is important to take into 
> > account that incomplete and/or inconsistent configuration may lead to security issues.
> > Additionally, events such as distributed denial of service (DDoS) 
> > attacks could be an additional source of compromise with additional 
> > implications due to the dependency of NFV on a distributed 
> > infrastructure. Finally, elasticity of VNFs entails dynamic scale 
> > up/down/out with awareness of the resiliency considerations, 
> > completely different with the approach of monolithic implementations.
> > Security issues and relevant solutions related to the elastic nature 
> > of VNFs are
> the objectives of this work item.
> >
> > --
> > PLEASE NOTE MY NEW EMAIL ADDRESS
> > "Esta vez no fallaremos, Doctor Infierno"
> >
> > Dr Diego R. Lopez
> > Telefonica I+D
> > http://people.tid.es/diego.lopez/
> >
> > e-mail: [email-masked]
> > Tel:    +34 913 129 041
> > Mobile: +34 682 051 091
> > ----------------------------------
> >
> >
> > ________________________________________
> >
> > Este mensaje y sus adjuntos se dirigen exclusivamente a su 
> > destinatario, puede contener información privilegiada o confidencial 
> > y es para uso exclusivo de la persona o entidad de destino. Si no es 
> > usted. el destinatario indicado, queda notificado de que la lectura, 
> > utilización, divulgación y/o copia sin autorización puede estar 
> > prohibida en virtud de la legislación vigente. Si ha recibido este 
> > mensaje por error, le rogamos que nos lo comunique inmediatamente 
> > por esta misma vía y proceda a su destrucción.
> >
> > The information contained in this transmission is privileged and 
> > confidential information intended only for the use of the individual 
> > or entity named above. If the reader of this message is not the 
> > intended recipient, you are hereby notified that any dissemination, 
> > distribution or copying of this communication is strictly prohibited.
> > If you have received this transmission in error, do not read it.
> > Please immediately reply to the sender that you have received this 
> > communication in error and then delete it.
> >
> > Esta mensagem e seus anexos se dirigem exclusivamente ao seu 
> > destinatário, pode conter informação privilegiada ou confidencial e 
> > é para uso exclusivo da pessoa ou entidade de destino. Se não é 
> > vossa senhoria o destinatário indicado, fica notificado de que a 
> > leitura, utilização, divulgação e/ou cópia sem autorização pode 
> > estar proibida em virtude da legislação vigente. Se recebeu esta 
> > mensagem por erro, rogamos-lhe que nos o comunique imediatamente por 
> > esta mesma via e proceda a sua destruição
> >
> > _______________________________________________
> > Nfvrg mailing list
> > [email-masked]
> > https://www.irtf.org/mailman/listinfo/nfvrg
> 
> _______________________________________________
> Nfvrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nfvrg
> 
> _______________________________________________
> Nfvrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nfvrg

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
Nfvrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/nfvrg